## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate xxhash-c-sys

Name:           rust-%{crate}
Version:        0.8.3
Release:        %autorelease
Summary:        Bindings to xxhash

# Upstream license specification: BSL-1.0
# https://github.com/DoumanAsh/xxhash-c-sys/pull/3
License:        Boost
URL:            https://crates.io/crates/xxhash-c-sys
Source0:        %{crates_source}
Source1:        https://github.com/DoumanAsh/xxhash-c-sys/raw/d241dc8/LICENSE
# Initial patched metadata
# * build and link against shared xxhash library
Patch0:         xxhash-c-sys-fix-metadata.diff
Patch1:         0001-build-and-link-against-shared-xxhash-library.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bindings to xxhash.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libxxhash) >= 0.8.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove bundled copy of xxhash
rm -r src/c
%cargo_prep
cp %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libxxhash) >= 0.8.1'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that hardcodes a check against the system xxhash version
%cargo_test -- -- --skip assert_version
%endif

%changelog
* Thu Jul 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-5
- Skip a test that hardcodes a check against the system xxhash version

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Initial import (#2080245)
